> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Replace inference registry credential



## OpenAPI

````yaml /api-reference/services_documented/cloud_api.yaml put /cloud/v3/inference/{project_id}/registry_credentials/{credential_name}
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Cloud API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-07T20:33:46.548242+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Bare Metal
    x-displayName: Bare Metal
  - name: Container as a Service
    x-displayName: Container as a Service
  - name: Cost Reports
    x-displayName: Cost Reports
  - name: DDoS Protection
    x-displayName: DDoS Protection
  - name: Everywhere Inference
    x-displayName: Everywhere Inference
  - name: Everywhere Inference Apps
    x-displayName: Everywhere Inference Apps
  - name: File Shares
    x-displayName: File Shares
  - name: Floating IPs
    x-displayName: Floating IPs
  - name: Function as a Service
    x-displayName: Function as a Service
  - name: GPU Bare Metal
    x-displayName: GPU Bare Metal
  - name: GPU Virtual
    x-displayName: GPU Virtual
  - name: IP Ranges
    x-displayName: IP Ranges
  - name: Images
    x-displayName: Images
  - name: Instances
    x-displayName: Instances
  - name: Load Balancers
    x-displayName: Load Balancers
  - name: Logging
    x-displayName: Logging
  - name: Managed Kubernetes
    x-displayName: Managed Kubernetes
  - name: Managed PostgreSQL
    x-displayName: Managed PostgreSQL
  - name: Networks
    x-displayName: Networks
  - name: Placement Groups
    x-displayName: Placement Groups
  - name: Projects
    x-displayName: Projects
  - name: Quotas
    x-displayName: Quotas
  - name: Regions
    x-displayName: Regions
  - name: Registry
    x-displayName: Registry
  - name: Reservations
    x-displayName: Reservations
  - name: Reserved IPs
    x-displayName: Reserved IPs
  - name: Routers
    x-displayName: Routers
  - name: SSH Keys
    x-displayName: SSH Keys
  - name: Secrets
    x-displayName: Secrets
  - name: Security Groups
    x-displayName: Security Groups
  - name: Snapshot Schedules
    x-displayName: Snapshot Schedules
  - name: Snapshots
    x-displayName: Snapshots
  - name: Tasks
    x-displayName: Tasks
  - name: User Actions
    x-displayName: User Actions
  - name: User Role Assignments
    x-displayName: User Role Assignments
  - name: Volumes
    x-displayName: Volumes
paths:
  /cloud/v3/inference/{project_id}/registry_credentials/{credential_name}:
    put:
      tags:
        - Everywhere Inference
      summary: Replace inference registry credential
      operationId: InferenceRegistryCredentialHandler.put
      parameters:
        - in: path
          name: project_id
          required: true
          description: Project ID
          schema:
            description: Project ID
            example: 1
            examples:
              - 1
            title: Project Id
            type: integer
        - in: path
          name: credential_name
          required: true
          description: Registry credential name.
          schema:
            description: Registry credential name.
            example: docker-io
            examples:
              - docker-io
            minLength: 4
            pattern: ^[a-z0-9]([-a-z0-9]*[a-z0-9])?$
            title: Credential Name
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/InferenceRegistryCredentialInUpdateSerializer
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InferenceRegistryCredentialOutSerializer'
      x-codeSamples:
        - lang: Python
          source: >-
            import os

            from gcore import Gcore


            client = Gcore(
                api_key=os.environ.get("GCORE_API_KEY"),  # This is the default and can be omitted
            )

            inference_registry_credentials =
            client.cloud.inference.registry_credentials.replace(
                credential_name="docker-io",
                project_id=1,
                password="password",
                registry_url="registry.example.com",
                username="username",
            )

            print(inference_registry_credentials.project_id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/G-Core/gcore-go\"\n\t\"github.com/G-Core/gcore-go/cloud\"\n\t\"github.com/G-Core/gcore-go/option\"\n)\n\nfunc main() {\n\tclient := gcore.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tinferenceRegistryCredentials, err := client.Cloud.Inference.RegistryCredentials.Replace(\n\t\tcontext.TODO(),\n\t\t\"docker-io\",\n\t\tcloud.InferenceRegistryCredentialReplaceParams{\n\t\t\tProjectID:   gcore.Int(1),\n\t\t\tPassword:    \"password\",\n\t\t\tRegistryURL: \"registry.example.com\",\n\t\t\tUsername:    \"username\",\n\t\t},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", inferenceRegistryCredentials.ProjectID)\n}\n"
components:
  schemas:
    InferenceRegistryCredentialInUpdateSerializer:
      properties:
        password:
          description: Registry password.
          example: password
          examples:
            - password
          title: Password
          type: string
        registry_url:
          description: Registry URL.
          example: registry.example.com
          examples:
            - registry.example.com
          title: Registry Url
          type: string
        username:
          description: Registry username.
          example: username
          examples:
            - username
          title: Username
          type: string
      required:
        - username
        - password
        - registry_url
      title: InferenceRegistryCredentialInUpdateSerializer
      type: object
    InferenceRegistryCredentialOutSerializer:
      properties:
        name:
          description: Registry credential name.
          example: docker-io
          examples:
            - docker-io
          minLength: 4
          pattern: ^[a-z0-9]([-a-z0-9]*[a-z0-9])?$
          title: Name
          type: string
        project_id:
          description: Project ID to which the inference registry credentials belongs.
          example: 1
          examples:
            - 1
          title: Project Id
          type: integer
        registry_url:
          description: Registry URL.
          example: registry.example.com
          examples:
            - registry.example.com
          title: Registry Url
          type: string
        username:
          description: Registry username.
          example: username
          examples:
            - username
          title: Username
          type: string
      required:
        - project_id
        - name
        - username
        - registry_url
      title: InferenceRegistryCredentialOutSerializer
      type: object
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````